export function lang() {
	return {
		home: {
			CHS: {
				title: '密码本',
				search: '搜索...',
				menu: ['按首字母', '按最常使用'],
				drawer: ['账户', '设置', '生成密码', '更新日志', '分享链接', '下载apk', '立即锁定'],
				empty_state: {
					label: '创建你的第一个密码',
					description: '创建密码后，您就可以将信息上载到服务器并保存',
					button: '立即创建'
				},
				unlock_msg: {
					expired: '密码校验过期，请重新输入',
					wrong: '密码错误，请重新输入'
				},
				copy: {
					successful: '恭喜！复制成功',
					failed: '抱歉，复制失败。夸克等浏览器复制成功也会报错，请试着粘贴看看'
				}
			},
			EN: {
				title: 'Codebook',
				search: 'Search...',
				menu: ['Alphabetically', 'Recently Used'],
				drawer: ['Account', 'Settings', 'Generate Password', 'Update Log', 'Share', 'Download apk', 'Lock Now'],
				empty_state: {
					label: 'Create your first code',
					description: "Creating code, you'll be able to upload your information to the server and save it.",
					button: 'Create first code'
				},
				unlock_msg: {
					expired: 'Password validity period has expired, please re-enter.',
					wrong: 'Wrong password, please re-enter.'
				},
				copy: {
					successful: 'Copy successful',
					failed: 'Failed to copy, but failed in some cases. Try to paste'
				}
			}
		},
		settings: {
			CHS: {
				title: '设置',
				subheader: ['重置', '选项'],
				reset_list: ['账户', '密码本', '应用', '主密码'],
				option_list: ['语言', '黑暗模式', '密码超时时间'],
				expired_time: '无限',
				dialog: {
					title: '输入新的主密码',
					placeholder: '输入...',
					confirm: '完成',
					cancel: '取消'
				},
				snakebar_msg: {
					reset_account: '恭喜! 账户重置完成',
					reset_codebook: '恭喜! 密码本重置完成',
					reset_settings: '恭喜! 个性化设置成功',
					reset_pwd_failed: '密码不能为空',
					reset_pwd_successful: '恭喜! 新的密码已经应用'
				},
				reset_dialog: {
					title: '警告',
					content: '该操作不可复原，是否继续',
					confirm: '继续',
					cancel: '取消'
				}
			},
			EN: {
				title: 'Settings',
				subheader: ['Reset', 'Option'],
				reset_list: ['Account', 'Codebook', 'Application', 'Main Password'],
				option_list: ['Language', 'Dark Mode', 'Expired Time'],
				expired_time: 'Infinite',
				dialog: {
					title: 'Enter new password',
					placeholder: 'Enter here...',
					confirm: 'Done',
					cancel: 'Cancel'
				},
				snakebar_msg: {
					reset_account: 'Congratulations! Reset account completed',
					reset_codebook: 'Congratulations! Reset codebook completed',
					reset_settings: 'Congratulations! Reset settings completed',
					reset_pwd_failed: 'Password can not be none',
					reset_pwd_successful: 'Congratulations! New password set up successfully'
				},
				reset_dialog: {
					title: 'Warning',
					content: 'This operation cannot be undone, whether to continue',
					confirm: 'Continue',
					cancel: 'Cancel'
				}
			}
		},
		detail: {
			CHS: {
				label: ['用户名', '密码', '网址', '备注'],
				copy: {
					successful: '恭喜！复制成功',
					failed: '抱歉，复制失败。夸克等浏览器复制成功也会报错，请试着粘贴看看'
				},
				snakebar_msg_empty: '网址为空',
				empty_placeholder: '空空如也呢',
				dialog: {
					title: "删除该记录",
					content: "此操作不可复原，是否继续",
					confirm: "删除",
					cancel: "取消"
				}
			},
			EN: {
				label: ['Username', 'Password', 'Web address', 'Node'],
				copy: {
					successful: 'Copy successful',
					failed: 'Failed to copy, but failed in some cases. Try to paste'
				},
				snakebar_msg_empty: 'Web address is empty',
				empty_placeholder: 'Empty',
				dialog: {
					title: "Delete this password?",
					content: "This operation cannot be resumed. Are you sure to continue?",
					confirm: "Continue",
					cancel: "Cancel"
				}
			}
		},
		add: {
			CHS: {
				title: ['新建密码', '编辑'],
				subheader: ['密码标题', '用户名', '密码', '网址', '备注...'],
				enter: '提交',
				empty_error: ['密码标题不可为空', '用户名不可为空', '密码不可为空'],
				generator: {
					title: '生成密码',
					subheader: ['结果', '设置'],
					length_setter:{
						label: '密码长度',
						options:['6 位', '12 位', '18 位', '24 位', '32 位']
					},
					settings:['包含大写', '包含小写', '包含数字', '包含符号'],
					actions: ['生成', '复制', '关闭'],
					code_res_empty: '未生成',
					copy_successful: '(复制成功)',
					copy_failed: '(复制失败)',
				}
			},
			EN: {
				title: ['Add New Code', 'Edit'],
				subheader: ['Code Title', 'Username', 'Password', 'Web address', 'Node'],
				enter: 'Enter',
				empty_error: ['Title can not be none.', 'Username can not be none.', 'Password can not be none.'],
				generator: {
					title: 'Generate Password',
					subheader: ['Results (click to copy)', 'Settings'],
					length_setter:{
						label: 'Password Length',
						options:['6 Digit', '12 Digit', '18 Digit', '24 Digit', '32 Digit']
					},
					settings:['Contain Uppercase', 'Contain Lowercase', 'Contain Number', 'Contain Symbol'],
					actions: ['Generate', 'Copy','Close'],
					code_res_empty: 'Not generated',
					copy_successful: '(Copy successful)',
					copy_failed: '(Failed to copy)',
				}
			}
		},
		account: {
			CHS: {
				title: '账户',
				login: {
					input_placeholder: ['邮箱地址', '密码'],
					password_errmsg: '密码不能为空',
					submit: '登录 / 注册'
				},
				activation: {
					title: '恭喜! 激活码已经下发到你的邮箱',
					subheader: '激活码',
					input_errmsg: '激活码不可为空',
					submit: '立即激活'
				},
				account: {
					label: ['云端信息最后修改时间', '同步本地密码本至云端', '同步云端密码本至本地'],
					logout: '退出登录'
				},
				mail_addr_errmsg: ['邮箱地址不能为空', '邮箱地址不合法'],
				snakebar_msg: ['抱歉, 网络错误',
					'恭喜! 登录成功!',
					'恭喜! 请在您的邮箱里找到激活码!',
					'抱歉, 密码错误, 请重新输入',
					'抱歉, 网络错误. 错误码:',
					'恭喜! 激活成功!',
					'抱歉, 激活码错误, 请重新输入',
					'恭喜! 本地数据更新成功!',
					'恭喜! 云端数据更新成功!'
				]
			},
			EN: {
				title: 'Account',
				login: {
					input_placeholder: ['Mail addr', 'Password'],
					password_errmsg: 'Password can not be none.',
					submit: 'Login / Sign'
				},
				activation: {
					title: 'Congratulations! Activation code has been sent to your email',
					subheader: 'Activation Code',
					input_errmsg: 'Activation Code can not be none.',
					submit: 'activation'
				},
				account: {
					label: ['Cloud last modified time', 'Sync local codebook to cloud', 'Sync cloud codebook to local'],
					logout: 'Logout'
				},
				mail_addr_errmsg: ['Mail addr can not be none.', 'Mail addr is invalid.'],
				snakebar_msg: ['Sorry, network error',
					'Congratulations! Login is successful!',
					'Congratulations! Please find the activation code in your email!',
					'Sorry, the password is wrong, please re-enter',
					'Sorry, network error. errcode:',
					'Congratulations! Activation is successful!',
					'Sorry, the activation is wrong, please re-enter',
					'Congratulations! Local data update completed!',
					'Congratulations! Cloud data update completed!'
				]
			}
		},
		unlock: {
			CHS: {
				title: ['创建主密码','解锁'],
				subheader: ['创建主密码', '解锁Canary Codebook'],
				pwd_label: ['主密码','解锁密码'],
				repeat_pwd: '再次输入主密码',
				enter: '提交',
				dialog: {
					title: '确认提交',
					content: '该密码提交之后不可被修改, 请不要将此密码告诉任何人',
					confirm: '同意',
					cancel: '不同意'
				},
				empty_pwd_error: '主密码不能为空',
				wrong_pwd_error: '主密码错误',
				match_pwd_error: '两次输入密码不一致'
			},
			EN: {
				title: ['Create Password','Unlock'],
				subheader: ['Create New Password', 'Unlock Canary Codebook'],
				pwd_label: ['New Password','Unlock Password'],
				repeat_pwd: 'Repeat Password',
				enter: 'Enter',
				dialog: {
					title: 'Confirm you new password?',
					content: 'The password will not be modified after submission, please make sure you don’t tell anyone this password.',
					confirm: 'Agree',
					cancel: 'Disagree'
				},
				empty_pwd_error: 'Password can not be none',
				wrong_pwd_error: 'Wrong password',
				match_pwd_error: 'The two passwords do not match'
			}
		},
		generator: {
			CHS:{
				title: '生成密码',
				subheader: ['结果(点击复制)', '设置'],
				length_setter:{
					label: '密码长度',
					options:['6 位', '12 位', '18 位', '24 位', '32 位']
				},
				settings:['包含大写', '包含小写', '包含数字', '包含符号'],
				submit: '生成',
				generate_successful: '生成成功',
				copy_successful: '复制成功',
				copy_failed: '抱歉，复制失败。夸克等浏览器复制成功也会报错，请试着粘贴看看',
				code_res_empty: '未生成'
			},
			EN:{
				title: 'Generate Password',
				subheader: ['Results (click to copy)', 'Settings'],
				length_setter:{
					label: 'Password Length',
					options:['6 Digit', '12 Digit', '18 Digit', '24 Digit', '32 Digit']
				},
				settings:['Contain Uppercase', 'Contain Lowercase', 'Contain Number', 'Contain Symbol'],
				submit: 'Generate',
				generate_successful: 'Generated successfully',
				copy_successful: 'Copy successful',
				copy_failed: 'Failed to copy, but failed in some cases. Try to paste',
				code_res_empty: 'Not generated'
			}
		},
		update_log: {
			CHS:{
				title: '更新日志',
				timeline: [
					{
						label: '设置中的重置功能优化',
						tag:'功能更新',
						content: [
							'所有重置操作之前会进行弹窗提醒，防止误操作',
							'2020-03-08'
						]
					},
					{
						label: '设置中的重置主密码功能启用',
						tag:'功能更新',
						content: [
							'设置中的重置主密码功能启用，重置后即可使用新密码解锁密码本，另改进了解锁页的密码错误判断逻辑',
							'2020-03-08'
						]
					},
					{
						label: '新建密码记录生成的密码支持复制',
						tag:'功能更新',
						content: [
							'在新建密码页生成密码支持一键复制',
							'2020-03-07'
						]
					},
					{
						label: '修复云端最后修改时间不更新的问题',
						tag:'bug修复',
						content: [
							'之前同步密码本至本地后云端最后修改时间不会同时更新，现已修复',
							'2020-03-06'
						]
					},
					{
						label: '新增页面返回手势',
						tag:'功能更新',
						content: [
							'所有子页面支持右滑返回上一页面',
							'2020-03-06'
						]
					},
					{
						label: '新建密码记录时支持生成密码',
						tag:'功能更新',
						content: [
							'新建密码记录页的的密码输入框右侧支持打开生成密码页',
							'2020-03-05'
						]
					},
					{
						label: '修复黑暗模式下主页分割线显示问题',
						tag:'bug修复',
						content: [
							'之前黑暗模式下主页密码分割线过亮，造成强烈的视觉撕裂感，现已修复',
							'2020-03-04'
						]
					},
					{
						label: '新增控制台vConsole',
						tag:'功能更新',
						content: [
							'主页呼出菜单栏点击头像十次即可唤出或隐藏控制台',
							'2020-03-04'
						]
					},
					{
						label: '扩大一键回顶点击面积',
						tag:'功能更新',
						content: [
							'一键回顶点击范围从标题文字延展到整个导航栏非功能区',
							'2020-03-03'
						]
					},
					{
						label: '新增更新日志页',
						tag:'功能更新',
						content: [
							'主页呼出菜单栏即可发现功能入口',
							'2020-03-03'
						]
					},
					{
						label: '新增一键回顶',
						tag:'功能更新',
						content: [
							'在主页点击导航栏页面标题即可一键回顶',
							'2020-03-02'
						]
					},
					{
						label: '新增密码生成页',
						tag:'功能更新',
						content: [
							'主页呼出菜单栏即可发现功能入口',
							'2020-02-29'
						]
					},
					{
						label: '新增呼出菜单手势',
						tag:'功能更新',
						content: [
							'在主页非导航栏任意处右滑即可呼出菜单栏',
							'2020-02-26'
						]
					}
				]
			},
			EN:{
				title: 'Update Log',
				timeline: [
					{
						label: 'Optimization of reset function in settings',
						tag:'Feature update',
						content: [
							'Pop-up window reminder before all reset operations to prevent misoperation',
							'2020-03-08'
						]
					},
					{
						label: 'The reset master password function is enabled in the settings',
						tag:'Feature update',
						content: [
							'The reset master password function is enabled in the settings. After resetting, you can use the new password to unlock the password book, and improve the password error judgment logic on the unlock page',
							'2020-03-08'
						]
					},
					{
						label: 'Generated passwords support replication',
						tag:'Feature update',
						content: [
							'Generate a password on the new password page',
							'2020-03-07'
						]
					},
					{
						label: 'Fix the problem that the last modification time of the cloud is not updated',
						tag:'Bug fix',
						content: [
							'The last modified time in the cloud will not be updated at the same time after syncing the password book to the local, it is now fixed',
							'2020-03-06'
						]
					},
					{
						label: 'Add page back gesture',
						tag:'Feature update',
						content: [
							'All subpages support swiping right to return to the previous page',
							'2020-03-06'
						]
					},
					{
						label: 'Support password generation when creating new password records',
						tag:'Feature update',
						content: [
							'The right side of the password input box of the new password record page supports opening a generate password page',
							'2020-03-05'
						]
					},
					{
						label: 'Fixed display of homepage split line in dark mode',
						tag:'Bug fix',
						content: [
							'The homepage password dividing line was too bright in the dark mode, causing a strong visual tearing.',
							'2020-03-04'
						]
					},
					{
						label: 'Add vConsole',
						tag:'Feature update',
						content: [
							'Home callout menu bar Click the avatar ten times to call up or hide the console',
							'2020-03-04'
						]
					},
					{
						label: 'Expand one click back to top click area',
						tag:'Feature update',
						content: [
							'The one-click back to top click extends from the title text to the non-functional area of the entire navigation bar',
							'2020-03-03'
						]
					},
					{
						label: 'New update log page',
						tag:'Feature update',
						content: [
							'Call out the menu bar on the homepage to find the function entry',
							'2020-03-03'
						]
					},
					{
						label: 'Added one-click back to top',
						tag:'Feature update',
						content: [
							'Click the navigation page title on the homepage to return to the top with one click',
							'2020-03-02'
						]
					},
					{
						label: 'New password generation page',
						tag:'Feature update',
						content: [
							'Call out the menu bar on the homepage to find the function entry',
							'2020-02-29'
						]
					},
					{
						label: 'Added callout menu gesture',
						tag:'Feature update',
						content: [
							'Swipe right anywhere on the homepage other than the navigation bar to bring up the menu bar。',
							'2020-02-26'
						]
					}
				]
			}
		}
	}
}

/**
 * 引入
	import { lang } from '@/utils/language.js'
	
 * data 里边加入lang
	data -> lang
	
 * create() 初始化语言系统，防止报错
	this.lang = lang().home.CHS
	console.log('临时语言系统加载完成')

 * computed 获取settings
	...mapState(['user_infos', 'row_data', 'row_pwd', 'settings'])

 * 在合适的地方配置语言
	// 配置语言
	initLanguage() {
		if(this.settings.is_chinese) {
			this.lang = lang().home.CHS
		} else {
			this.lang = lang().home.EN
		}
		console.log('语言配置完成')
	},
*/
